Bug 697116 - Need to check if admldapGetISIEDN() returns NULL
Need to check if admldapGetISIEDN() returns NULL
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: 389-adminutil (Show other bugs)
19
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Nathan Kinder
Fedora Extras Quality Assurance
: screened
Depends On:
Blocks: 434915
  Show dependency treegraph
 
Reported: 2011-04-15 17:50 EDT by Nathan Kinder
Modified: 2015-02-18 06:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:20:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for cov#10768,10767,10764 (1.87 KB, patch)
2011-04-15 17:55 EDT, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff

  None (edit)
Description Nathan Kinder 2011-04-15 17:50:42 EDT
There are a number of places where we don't check if the pointer returned by admldapGetISIEDN() is NULL before dereferencing it.  We should check for NULL and avoid the dereference.
Comment 1 Nathan Kinder 2011-04-15 17:55:40 EDT
Created attachment 492516 [details]
Patch for cov#10768,10767,10764
Comment 2 Nathan Kinder 2011-04-18 11:11:42 EDT
Pushed to master.  Thanks to Rich for his review!

Counting objects: 13, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (7/7), 802 bytes, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/adminutil.git
   f20dc1b..5590b3e  master -> master
Comment 5 Fedora Update System 2011-06-21 15:52:39 EDT
389-adminutil-1.1.14-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.fc15
Comment 6 Fedora Update System 2011-06-21 15:53:55 EDT
389-adminutil-1.1.14-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.fc14
Comment 7 Fedora Update System 2011-06-21 16:06:24 EDT
389-adminutil-1.1.14-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.fc13
Comment 8 Fedora Update System 2011-06-21 16:07:46 EDT
389-adminutil-1.1.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.el5
Comment 9 Fedora Update System 2011-09-08 02:59:18 EDT
389-adminutil-1.1.14-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-09-08 03:00:45 EDT
389-adminutil-1.1.14-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-09-08 20:01:28 EDT
389-adminutil-1.1.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Amita Sharma 2011-11-15 03:51:46 EST
Co-verity bug, please verify.
Comment 13 Rich Megginson 2011-11-15 09:10:58 EST
coverity shows these issues as being resolved.
Comment 14 Fedora End Of Life 2013-04-03 16:41:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 15 Fedora End Of Life 2015-01-09 17:41:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-18 06:20:20 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.